# HyFI-ML

[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[codecov-image]: https://codecov.io/gh/entelecheia/hyfi-ml/branch/main/graph/badge.svg?token=bs39xzB2Ay
[codecov-url]: https://codecov.io/gh/entelecheia/hyfi-ml
[pypi-image]: https://img.shields.io/pypi/v/hyfi-ml
[license-image]: https://img.shields.io/github/license/entelecheia/hyfi-ml
[license-url]: https://github.com/entelecheia/hyfi-ml/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/hyfi-ml?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/hyfi-ml
[release-url]: https://github.com/entelecheia/hyfi-ml/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/entelecheia/hyfi-ml
[pypi-url]: https://pypi.org/project/hyfi-ml
[docs-url]: https://hyfi-ml.entelecheia.ai
[changelog]: https://github.com/entelecheia/hyfi-ml/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/hyfi-ml/blob/main/CONTRIBUTING.md
<!-- Links: -->

HyFI-ML is a Python package that extends the Hydra Fast Interface (HyFI) framework with machine learning capabilities.

- Documentation: [https://hyfi-ml.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/hyfi-ml][repo-url]
- PyPI: [https://pypi.org/project/hyfi-ml][pypi-url]

HyFI-ML aims to simplify the development and deployment of machine learning models by leveraging the benefits of Hydra's configuration management system. It provides a structured and organized approach to building machine learning pipelines, making it easier for data scientists and machine learning engineers to iterate on models and deploy them to production environments.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
